<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('hierarchy.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">This inheritance list is sorted roughly, but not completely, alphabetically:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span><span onclick="javascript:toggleLevel(4);">4</span><span onclick="javascript:toggleLevel(5);">5</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classCache.html" target="_self">Cache</a></td><td class="desc"><a class="el" href="classCache.html" title="Cache to store raw tile data. ">Cache</a> to store raw tile data </td></tr>
<tr id="row_1_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_1_" class="arrow" onclick="toggleFolder('1_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classCompressor.html" target="_self">Compressor</a></td><td class="desc">Base class for IIP output images </td></tr>
<tr id="row_1_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classJPEGCompressor.html" target="_self">JPEGCompressor</a></td><td class="desc">Wrapper class to the IJG JPEG library </td></tr>
<tr id="row_2_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classEnvironment.html" target="_self">Environment</a></td><td class="desc">Class to obtain environment variables </td></tr>
<tr id="row_3_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_3_" class="arrow" onclick="toggleFolder('3_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>std::exception</b></td><td class="desc">STL class </td></tr>
<tr id="row_3_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_3_0_" class="arrow" onclick="toggleFolder('3_0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>std::runtime_error</b></td><td class="desc">STL class </td></tr>
<tr id="row_3_0_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classfile__error.html" target="_self">file_error</a></td><td class="desc">Define our own derived exception class for file errors </td></tr>
<tr id="row_4_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classFCGIWriter.html" target="_self">FCGIWriter</a></td><td class="desc">FCGI <a class="el" href="classWriter.html" title="Virtual base class for various writers. ">Writer</a> Class </td></tr>
<tr id="row_5_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classFileWriter.html" target="_self">FileWriter</a></td><td class="desc">File <a class="el" href="classWriter.html" title="Virtual base class for various writers. ">Writer</a> Class </td></tr>
<tr id="row_6_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structiip__destination__mgr.html" target="_self">iip_destination_mgr</a></td><td class="desc">Expanded data destination object for buffered output used by IJG JPEG library </td></tr>
<tr id="row_7_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_7_" class="arrow" onclick="toggleFolder('7_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classIIPImage.html" target="_self">IIPImage</a></td><td class="desc">Main class to handle the pyramidal image source </td></tr>
<tr id="row_7_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classKakaduImage.html" target="_self">KakaduImage</a></td><td class="desc">Image class for Kakadu JPEG2000 Images: Inherits from <a class="el" href="classIIPImage.html" title="Main class to handle the pyramidal image source. ">IIPImage</a>. Uses the Kakadu library </td></tr>
<tr id="row_7_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classOpenJPEGImage.html" target="_self">OpenJPEGImage</a></td><td class="desc"></td></tr>
<tr id="row_7_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTPTImage.html" target="_self">TPTImage</a></td><td class="desc">Image class for Tiled Pyramidal Images: Inherits from <a class="el" href="classIIPImage.html" title="Main class to handle the pyramidal image source. ">IIPImage</a>. Uses libtiff </td></tr>
<tr id="row_8_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classIIPResponse.html" target="_self">IIPResponse</a></td><td class="desc">Class to handle non-image IIP responses including errors </td></tr>
<tr id="row_9_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_9_" class="arrow" onclick="toggleFolder('9_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>std::ios_base</b></td><td class="desc">STL class </td></tr>
<tr id="row_9_0_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_9_0_" class="arrow" onclick="toggleFolder('9_0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>std::basic_ios&lt; Char &gt;</b></td><td class="desc">STL class </td></tr>
<tr id="row_9_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_9_0_0_" class="arrow" onclick="toggleFolder('9_0_0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>std::basic_ostream&lt; Char &gt;</b></td><td class="desc">STL class </td></tr>
<tr id="row_9_0_0_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span id="arr_9_0_0_0_" class="arrow" onclick="toggleFolder('9_0_0_0_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>std::ostream</b></td><td class="desc">STL class </td></tr>
<tr id="row_9_0_0_0_0_"><td class="entry"><span style="width:80px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classLogger.html" target="_self">Logger</a></td><td class="desc"><a class="el" href="classLogger.html" title="Logger class - handles ofstreams and syslog. ">Logger</a> class - handles ofstreams and syslog </td></tr>
<tr id="row_10_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_10_" class="arrow" onclick="toggleFolder('10_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><b>kdu_message</b></td><td class="desc"></td></tr>
<tr id="row_10_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classkdu__stream__message.html" target="_self">kdu_stream_message</a></td><td class="desc">Wrapper class to handle error messages from Kakadu </td></tr>
<tr id="row_11_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classMemcache.html" target="_self">Memcache</a></td><td class="desc"><a class="el" href="classCache.html" title="Cache to store raw tile data. ">Cache</a> to store raw tile data </td></tr>
<tr id="row_12_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classRawTile.html" target="_self">RawTile</a></td><td class="desc">Class to represent a single image tile </td></tr>
<tr id="row_13_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structSession.html" target="_self">Session</a></td><td class="desc">Structure to hold our session data </td></tr>
<tr id="row_14_"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_14_" class="arrow" onclick="toggleFolder('14_')">&#9660;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTask.html" target="_self">Task</a></td><td class="desc">Generic class to encapsulate various commands </td></tr>
<tr id="row_14_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classCMP.html" target="_self">CMP</a></td><td class="desc">Colormap Command </td></tr>
<tr id="row_14_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classCNT.html" target="_self">CNT</a></td><td class="desc">Contrast Command </td></tr>
<tr id="row_14_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classCOL.html" target="_self">COL</a></td><td class="desc">Color Conversion Command </td></tr>
<tr id="row_14_3_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classCTW.html" target="_self">CTW</a></td><td class="desc">Color Twist Command </td></tr>
<tr id="row_14_4_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classCVT.html" target="_self">CVT</a></td><td class="desc"><a class="el" href="classCVT.html" title="CVT Region Export Command. ">CVT</a> Region Export Command </td></tr>
<tr id="row_14_5_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classDeepZoom.html" target="_self">DeepZoom</a></td><td class="desc"><a class="el" href="classDeepZoom.html" title="DeepZoom Request Command. ">DeepZoom</a> Request Command </td></tr>
<tr id="row_14_6_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classFIF.html" target="_self">FIF</a></td><td class="desc"><a class="el" href="classFIF.html" title="FIF Command. ">FIF</a> Command </td></tr>
<tr id="row_14_7_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classGAM.html" target="_self">GAM</a></td><td class="desc">Gamma Command </td></tr>
<tr id="row_14_8_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classHEI.html" target="_self">HEI</a></td><td class="desc"><a class="el" href="classCVT.html" title="CVT Region Export Command. ">CVT</a> Height Command </td></tr>
<tr id="row_14_9_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classICC.html" target="_self">ICC</a></td><td class="desc"><a class="el" href="classICC.html" title="ICC Profile Command. ">ICC</a> Profile Command </td></tr>
<tr id="row_14_10_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classIIIF.html" target="_self">IIIF</a></td><td class="desc"><a class="el" href="classIIIF.html" title="IIIF Command. ">IIIF</a> Command </td></tr>
<tr id="row_14_11_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classINV.html" target="_self">INV</a></td><td class="desc">Inversion Command </td></tr>
<tr id="row_14_12_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classJTL.html" target="_self">JTL</a></td><td class="desc">PNG Tile Command </td></tr>
<tr id="row_14_13_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classJTLS.html" target="_self">JTLS</a></td><td class="desc">JPEG Tile Sequence Command </td></tr>
<tr id="row_14_14_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classLYR.html" target="_self">LYR</a></td><td class="desc">Quality Layers Command </td></tr>
<tr id="row_14_15_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classMINMAX.html" target="_self">MINMAX</a></td><td class="desc"><a class="el" href="classMINMAX.html" title="MINMAX Command. ">MINMAX</a> Command </td></tr>
<tr id="row_14_16_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classOBJ.html" target="_self">OBJ</a></td><td class="desc"><a class="el" href="classOBJ.html" title="OBJ commands. ">OBJ</a> commands </td></tr>
<tr id="row_14_17_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classPFL.html" target="_self">PFL</a></td><td class="desc"><a class="el" href="classSPECTRA.html" title="SPECTRA Request Command. ">SPECTRA</a> Request Command </td></tr>
<tr id="row_14_18_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classQLT.html" target="_self">QLT</a></td><td class="desc">JPEG Quality Command </td></tr>
<tr id="row_14_19_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classRGN.html" target="_self">RGN</a></td><td class="desc"><a class="el" href="classCVT.html" title="CVT Region Export Command. ">CVT</a> Region Command </td></tr>
<tr id="row_14_20_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classROT.html" target="_self">ROT</a></td><td class="desc"><a class="el" href="classROT.html" title="ROT Rotation Command. ">ROT</a> Rotation Command </td></tr>
<tr id="row_14_21_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSDS.html" target="_self">SDS</a></td><td class="desc"><a class="el" href="classSDS.html" title="SDS Command. ">SDS</a> Command </td></tr>
<tr id="row_14_22_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSHD.html" target="_self">SHD</a></td><td class="desc">Shading Command </td></tr>
<tr id="row_14_23_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classSPECTRA.html" target="_self">SPECTRA</a></td><td class="desc"><a class="el" href="classSPECTRA.html" title="SPECTRA Request Command. ">SPECTRA</a> Request Command </td></tr>
<tr id="row_14_24_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTIL.html" target="_self">TIL</a></td><td class="desc">Tile Command </td></tr>
<tr id="row_14_25_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classWID.html" target="_self">WID</a></td><td class="desc"><a class="el" href="classCVT.html" title="CVT Region Export Command. ">CVT</a> Width Command </td></tr>
<tr id="row_14_26_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classZoomify.html" target="_self">Zoomify</a></td><td class="desc"><a class="el" href="classZoomify.html" title="Zoomify Request Command. ">Zoomify</a> Request Command </td></tr>
<tr id="row_15_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTileManager.html" target="_self">TileManager</a></td><td class="desc">Class to manage access to the tile cache and tile cropping </td></tr>
<tr id="row_16_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTimer.html" target="_self">Timer</a></td><td class="desc">Simple <a class="el" href="classTimer.html" title="Simple Timer class to allow us to time our responses. ">Timer</a> class to allow us to time our responses </td></tr>
<tr id="row_17_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classTokenizer.html" target="_self">Tokenizer</a></td><td class="desc">Simple utility class to split a string into tokens </td></tr>
<tr id="row_18_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="structTransform.html" target="_self">Transform</a></td><td class="desc">Image Processing Transforms </td></tr>
<tr id="row_19_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classURL.html" target="_self">URL</a></td><td class="desc">Simple utility class to decode and filter URLs </td></tr>
<tr id="row_20_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classView.html" target="_self">View</a></td><td class="desc">Class to intelligently handle Image Transforms </td></tr>
<tr id="row_21_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classWatermark.html" target="_self">Watermark</a></td><td class="desc"><a class="el" href="classWatermark.html" title="Watermark class. ">Watermark</a> class </td></tr>
<tr id="row_22_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classWriter.html" target="_self">Writer</a></td><td class="desc">Virtual base class for various writers </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
